View Issue Details

IDProjectCategoryView StatusLast Update
0005672Talerexchangepublic2019-04-20 12:06
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005672: Should "TALER_TESTING_cmd_check_keys()" relax the check on the number of denom keys?
DescriptionSometimes, the aforementioned command gets a number of keys that differs "slightly" from the expectation. This has been observed especially when very big "lookahead_sign" values are used in the configuration.

So *possibly*, with such big values we can't expect clocks to have a deterministic behaviour, and it *might* be better to relax the check of such testing command so that it expects from N-x to N+x keys (for whatever reasonable x value).
TagsNo tags attached.

Activities

Marcello Stanisci

2019-03-29 11:24

manager   ~0014239

Last edited: 2019-03-29 11:24

View 2 revisions

Right now, there is only one point in the code where this happens, and it got commented out. Look for "<sharp sign>5672" within the new "cherry picking" test case file.

Christian Grothoff

2019-03-30 22:30

manager   ~0014241

Yes, we probably should relax the check, or write a better check that looks more "deeply" into the /keys response.

Marcello Stanisci

2019-04-11 16:50

manager   ~0014289

No need to relax the check after having added the option of passing the current time to the keying logic.

Issue History

Date Modified Username Field Change
2019-03-29 11:17 Marcello Stanisci New Issue
2019-03-29 11:17 Marcello Stanisci Status new => assigned
2019-03-29 11:17 Marcello Stanisci Assigned To => Christian Grothoff
2019-03-29 11:24 Marcello Stanisci Note Added: 0014239
2019-03-29 11:24 Marcello Stanisci Note Edited: 0014239 View Revisions
2019-03-30 22:29 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2019-03-30 22:30 Christian Grothoff Note Added: 0014241
2019-04-11 16:50 Marcello Stanisci Note Added: 0014289
2019-04-11 16:50 Marcello Stanisci Status assigned => resolved
2019-04-11 16:50 Marcello Stanisci Resolution open => fixed
2019-04-20 12:06 Christian Grothoff Product Version => SVN HEAD
2019-04-20 12:06 Christian Grothoff Fixed in Version => 0.6
2019-04-20 12:06 Christian Grothoff Target Version => 0.6